Debian Bug report logs - #665997
libbsd uses wrong compiler when cross-building

version graph

Package: src:libbsd; Maintainer for src:libbsd is Guillem Jover <guillem@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 27 Mar 2012 17:27:02 UTC

Severity: normal

Tags: patch

Found in versions libbsd/0.3.0-2, libbsd/0.4.0-1

Fixed in version libbsd/0.5.0-1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#665997; Package src:libbsd. (Tue, 27 Mar 2012 17:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Tue, 27 Mar 2012 17:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: submit@bugs.debian.org
Subject: libbsd uses wrong compiler when cross-building
Date: Tue, 27 Mar 2012 18:22:52 +0100
[Message part 1 (text/plain, inline)]
Source: libbsd
Version: 0.3.0-2
Tags: Patch
User: crossbuild@debian.org
Usertags: cross

As part of making debian 'bootstrappable' we are making sure that at
least the core system is cross-buildable.

libbsd uses 'gcc' directly, so cross-compiling fails. The attached patch
fixes that.

This bug corresponds to ubuntu bug:
https://bugs.launchpad.net/ubuntu/+source/libbsd/+bug/963060


Wookey
-- 
Principal hats:  Linaro, Emdebian, Wookware, Balloonboard, ARM
http://wookware.org/
[libbsd-0.3.0-cross.patch (text/x-diff, attachment)]

Added tag(s) pending. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sun, 01 Apr 2012 17:15:05 GMT) Full text and rfc822 format available.

Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Tue, 29 May 2012 07:06:29 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Tue, 29 May 2012 07:06:30 GMT) Full text and rfc822 format available.

Message #12 received at 665997-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 665997-close@bugs.debian.org
Subject: Bug#665997: fixed in libbsd 0.4.0-1
Date: Tue, 29 May 2012 07:03:33 +0000
Source: libbsd
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive:

libbsd-dev_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd-dev_0.4.0-1_amd64.deb
libbsd0-dbg_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd0-dbg_0.4.0-1_amd64.deb
libbsd0-udeb_0.4.0-1_amd64.udeb
  to main/libb/libbsd/libbsd0-udeb_0.4.0-1_amd64.udeb
libbsd0_0.4.0-1_amd64.deb
  to main/libb/libbsd/libbsd0_0.4.0-1_amd64.deb
libbsd_0.4.0-1.debian.tar.gz
  to main/libb/libbsd/libbsd_0.4.0-1.debian.tar.gz
libbsd_0.4.0-1.dsc
  to main/libb/libbsd/libbsd_0.4.0-1.dsc
libbsd_0.4.0.orig.tar.gz
  to main/libb/libbsd/libbsd_0.4.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 29 May 2012 08:11:13 +0200
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-udeb libbsd0-dbg
Architecture: source amd64
Version: 0.4.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
 libbsd0-udeb - utility functions from BSD systems - shared library (udeb)
Closes: 580372 630907 634955 635377 635379 640895 657772 665997 668705
Changes: 
 libbsd (0.4.0-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #668705)
     - Autoconfiscated, supports cross-building natively. (Closes: #665997)
     - Provide endian encoding/decoding inline functions. (Closes: #635377)
     - Provide expand_number(). (Closes: #635379)
     - Ship <nlist.h> under /usr/include/bsd/. (Closes: #634955, #657772)
     - Ship <libutil.h> under /usr/include/bsd/. (Closes: #640895)
     - Fix header protections when using the overlay. (Closes: #630907)
     - Fix .so symlinks to be relative even when the .so.N shared library
       is on a different directory. (Closes: #580372)
     - Remove all deprecated headers and inclusions.
   * Avoid leaving the system w/o an <nlist.h> previously owned by either
     libelfg0-dev or libelf-dev when upgrading from old libsd-dev versions
     which used to Replace them, by restoring <nlist.h> from <bsd/nlist.h>.
Checksums-Sha1: 
 335e03cdd8471cefedcd5b8551447564e1ce7728 1469 libbsd_0.4.0-1.dsc
 87290f6ba92f773a3bfd7221f6ab561cbf88eba6 441567 libbsd_0.4.0.orig.tar.gz
 08a54bb6ee11cf9f281747372c702d4277b4766f 8974 libbsd_0.4.0-1.debian.tar.gz
 8a18008a755a0d61e79f44b61c1e6a7c4e45dc68 134520 libbsd-dev_0.4.0-1_amd64.deb
 0717d525cd186afcc2563bb812e66fbe144fbc9d 54678 libbsd0_0.4.0-1_amd64.deb
 42185c514e7e4814d8b2beae3b7859e51cd5b5a6 18826 libbsd0-udeb_0.4.0-1_amd64.udeb
 6616be60e5bb90c31eb60bd8b6fbc4fe4a64ec96 36102 libbsd0-dbg_0.4.0-1_amd64.deb
Checksums-Sha256: 
 3060d7bd2c1b2c28a515872b2a63c6959b068a3657a15cb87d35a6459f5bb8ea 1469 libbsd_0.4.0-1.dsc
 a285d7108462b913ac49142e46bab2d7e16902cabfacf77ef1101233f472fcb7 441567 libbsd_0.4.0.orig.tar.gz
 4b9f389afa224f4c6634a1e6feb9716b957ca3818e217ecbfca6781d03f77acc 8974 libbsd_0.4.0-1.debian.tar.gz
 66d637feba28c744bf8aded7138b2ea473d9ea385ef31471a5ed796cda1146c1 134520 libbsd-dev_0.4.0-1_amd64.deb
 1e445894035a2de5c3650ef93fcd1eba18f486045117f137ac871cda037f1e72 54678 libbsd0_0.4.0-1_amd64.deb
 91232c55f2ca3921b898803606141e977baaa500c563fa3210bbe8a17bd50c0a 18826 libbsd0-udeb_0.4.0-1_amd64.udeb
 d8420751912307f5361e0be3f13da79f8abca365a3ed86c9a87f93467f343520 36102 libbsd0-dbg_0.4.0-1_amd64.deb
Files: 
 bfff6f2dcb6a6ec722a046df5b90b278 1469 libs optional libbsd_0.4.0-1.dsc
 e61dee73c9e5bd5e6e6f281ac8fae325 441567 libs optional libbsd_0.4.0.orig.tar.gz
 523b6bb337c40ce791c2cef9ac8b79af 8974 libs optional libbsd_0.4.0-1.debian.tar.gz
 2b5991b6ee51a59cde43f7b69d0734d1 134520 libdevel optional libbsd-dev_0.4.0-1_amd64.deb
 67fd550c835a8c468d6d721608a6eea4 54678 libs optional libbsd0_0.4.0-1_amd64.deb
 7249bf90659fac25035a34a2fa3de8dc 18826 debian-installer optional libbsd0-udeb_0.4.0-1_amd64.udeb
 dc694b858361789ddcf256e8122ddedf 36102 debug extra libbsd0-dbg_0.4.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk/EcQ8ACgkQuW9ciZ2SjJttUACg3FmtdIhPyxqYtKIEWZZSsoyO
/WEAn2Rt10PLX//4vh/usVpmqCTaTqqx
=bwUO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Jul 2012 07:54:55 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 22 Nov 2012 02:15:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#665997; Package src:libbsd. (Thu, 22 Nov 2012 02:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colin Watson <cjwatson@ubuntu.com>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Thu, 22 Nov 2012 02:24:03 GMT) Full text and rfc822 format available.

Message #21 received at 665997@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@ubuntu.com>
To: 665997@bugs.debian.org
Cc: Wookey <wookey@wookware.org>
Subject: Re: Bug#665997 closed by Guillem Jover <guillem@debian.org> (Bug#665997: fixed in libbsd 0.4.0-1)
Date: Thu, 22 Nov 2012 02:20:10 +0000
reopen 665997
found 665997 libbsd/0.4.0-1
thanks

On Tue, May 29, 2012 at 07:06:30AM +0000, Debian Bug Tracking System wrote:
> This is an automatic notification regarding your Bug report
> which was filed against the src:libbsd package:
> 
> #665997: libbsd uses wrong compiler when cross-building
> 
> It has been closed by Guillem Jover <guillem@debian.org>.
[...]
>      - Autoconfiscated, supports cross-building natively. (Closes: #665997)

This is nearly there, but not quite.  You're not passing the required
--build and --host options to configure, so it doesn't know that it's
supposed to cross-compile.  I've confirmed that the following patch
fixes it.

  * Pass correct --build= and --host= options to configure.

diff -Nru libbsd-0.4.2/debian/rules libbsd-0.4.2/debian/rules
--- libbsd-0.4.2/debian/rules	2012-06-27 08:22:33.000000000 +0100
+++ libbsd-0.4.2/debian/rules	2012-11-22 02:06:32.000000000 +0000
@@ -9,6 +9,14 @@
 CFLAGS := -Wall $(shell dpkg-buildflags --get CFLAGS)
 LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
+DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+
+confflags := --build=$(DEB_BUILD_GNU_TYPE)
+ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
+confflags += --host=$(DEB_HOST_GNU_TYPE)
+endif
+
 
 lib := libbsd0
 libdbg := $(lib)-dbg
@@ -24,7 +32,8 @@
 		LDFLAGS="$(LDFLAGS)" \
 		--disable-silent-rules \
 		--prefix=/usr \
-		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		$(confflags)
 
 build-indep:
 

Thanks,

-- 
Colin Watson                                       [cjwatson@ubuntu.com]



Bug reopened Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 22 Nov 2012 02:24:05 GMT) Full text and rfc822 format available.

No longer marked as fixed in versions libbsd/0.4.0-1. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 22 Nov 2012 02:24:06 GMT) Full text and rfc822 format available.

Marked as found in versions libbsd/0.4.0-1. Request was from Colin Watson <cjwatson@ubuntu.com> to control@bugs.debian.org. (Thu, 22 Nov 2012 02:24:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>:
Bug#665997; Package src:libbsd. (Fri, 23 Nov 2012 00:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>. (Fri, 23 Nov 2012 00:39:03 GMT) Full text and rfc822 format available.

Message #32 received at 665997@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Colin Watson <cjwatson@ubuntu.com>, 665997@bugs.debian.org
Cc: Wookey <wookey@wookware.org>
Subject: Re: Bug#665997: closed by Guillem Jover <guillem@debian.org> (Bug#665997: fixed in libbsd 0.4.0-1)
Date: Fri, 23 Nov 2012 01:35:56 +0100
Hi!

On Thu, 2012-11-22 at 02:20:10 +0000, Colin Watson wrote:
> On Tue, May 29, 2012 at 07:06:30AM +0000, Debian Bug Tracking System wrote:
> > This is an automatic notification regarding your Bug report
> > which was filed against the src:libbsd package:
> > 
> > #665997: libbsd uses wrong compiler when cross-building
> > 
> > It has been closed by Guillem Jover <guillem@debian.org>.
> [...]
> >      - Autoconfiscated, supports cross-building natively. (Closes: #665997)
> 
> This is nearly there, but not quite.  You're not passing the required
> --build and --host options to configure, so it doesn't know that it's
> supposed to cross-compile.  I've confirmed that the following patch
> fixes it.
> 
>   * Pass correct --build= and --host= options to configure.

Hmm, certainly, I've applied now a slightly modified version of the
patch, thanks. Will be included in the next upload, most probably
after the freeze.

Regards,
Guillem



Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Mon, 27 May 2013 04:36:09 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Mon, 27 May 2013 04:36:09 GMT) Full text and rfc822 format available.

Message #37 received at 665997-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 665997-close@bugs.debian.org
Subject: Bug#665997: fixed in libbsd 0.5.0-1
Date: Mon, 27 May 2013 04:33:45 +0000
Source: libbsd
Source-Version: 0.5.0-1

We believe that the bug you reported is fixed in the latest version of
libbsd, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 665997@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated libbsd package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 27 May 2013 06:07:08 +0200
Source: libbsd
Binary: libbsd-dev libbsd0 libbsd0-udeb libbsd0-dbg
Architecture: source amd64
Version: 0.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian GNU/kFreeBSD <debian-bsd@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 libbsd-dev - utility functions from BSD systems - development files
 libbsd0    - utility functions from BSD systems - shared library
 libbsd0-dbg - utility functions from BSD systems - debugging symbols
 libbsd0-udeb - utility functions from BSD systems - shared library (udeb)
Closes: 614959 665997
Changes: 
 libbsd (0.5.0-1) unstable; urgency=low
 .
   * New upstream release.
     - Implement setproctitle(). (Closes: #614959)
     - Fix «make distclean» target to not remove distributed files.
   * Change watch file to also look for xz compressed upstream releases.
   * Fix two builds in a row by calling «make distclean» on clean.
   * Fix cross-building support by passing correct --build and --host options
     to configure. Based on patch by Colin Watson <cjwatson@ubuntu.com>.
     (Closes: #665997)
   * Move -e option from postinst's shebang to an explicit set call.
   * Switch to canonical Vcs URLs.
   * Switch source package to xz compression.
   * Switch to debhelper compatibility level 9.
   * Now using Standards-Version 3.9.4 (no changes needed).
Checksums-Sha1: 
 36a52f68821bcb504059b8b0d2b87ed6fa516132 1475 libbsd_0.5.0-1.dsc
 d2ce5d985d8ef27f7669970f6d7b102daaf4c6d3 306668 libbsd_0.5.0.orig.tar.xz
 08d227153dce737874852bbc8fec9b1310b1af3f 8704 libbsd_0.5.0-1.debian.tar.xz
 43ece878f456d463d856d013cd374c4c7c555385 153948 libbsd-dev_0.5.0-1_amd64.deb
 e7e17f8fee5a7c6996317b181677ffe5be62a9ee 64652 libbsd0_0.5.0-1_amd64.deb
 042a328d4770e1622a2a3c8f75185b1258ebf0b7 24714 libbsd0-udeb_0.5.0-1_amd64.udeb
 dd0634491bf2c998c131367c0c1ba7f6f542340a 101208 libbsd0-dbg_0.5.0-1_amd64.deb
Checksums-Sha256: 
 2daada9129643d03d3eb39f6b5ef6916991f5fe9e20866a61e3749f1939ab9e7 1475 libbsd_0.5.0-1.dsc
 1d2aaa5e14fd3bba9a74786ebbcf664b57346a01d47f83d82e7638d74d5626e4 306668 libbsd_0.5.0.orig.tar.xz
 b2eca529699d9e4768d1010a2e3f1bfcf568e8aeeb6fdd952bbc3eca511045f3 8704 libbsd_0.5.0-1.debian.tar.xz
 1b7e0eef807f3e865177f7dda05c8c24ec62bb3802fa7bbbc92aef8607a18f90 153948 libbsd-dev_0.5.0-1_amd64.deb
 dd9b0ff7f0202181a404b79358763cea10e189e7a38833c7bc9aea6009140a28 64652 libbsd0_0.5.0-1_amd64.deb
 72cf3326513df501fdf2fd312c51ee3dfc03f55eccf04c7656667bab47ff34e8 24714 libbsd0-udeb_0.5.0-1_amd64.udeb
 32fe259d6cb2b480d1df636eaa45cb4cc41c7212ced2eff7a1bf0f6d04d8d065 101208 libbsd0-dbg_0.5.0-1_amd64.deb
Files: 
 906e4276e2c3ed8e30bb68b6f4625cd0 1475 libs optional libbsd_0.5.0-1.dsc
 0c4527b79fc69036adc38a9b7520eb35 306668 libs optional libbsd_0.5.0.orig.tar.xz
 5d9f2f7f4dc98eb5b394c16ed21fa37a 8704 libs optional libbsd_0.5.0-1.debian.tar.xz
 dc1dec715ae339e7cd9883587d4ccba2 153948 libdevel optional libbsd-dev_0.5.0-1_amd64.deb
 a2007740ea7381771348ea4af4da4404 64652 libs optional libbsd0_0.5.0-1_amd64.deb
 5fd143e17bd8312aee53eb70f8f635dd 24714 debian-installer optional libbsd0-udeb_0.5.0-1_amd64.udeb
 f68121fb4416e313f61d197838de7a8f 101208 debug extra libbsd0-dbg_0.5.0-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlGi3dQACgkQuW9ciZ2SjJu56wCfW57I3cz+7FhYquJSzCqy72Zq
L70AoJRo8vTgqY8O41AgOhCTSwvOv+0O
=NQrR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 12 Jul 2013 07:33:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:55:06 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.